Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
ffprobes = client.streaming.statistics.get_ffprobes(
date_from="date_from",
date_to="date_to",
stream_id="stream_id",
)
print(ffprobes.data)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/streaming"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
ffprobes, err := client.Streaming.Statistics.GetFfprobes(context.TODO(), streaming.StatisticGetFfprobesParams{
DateFrom: "date_from",
DateTo: "date_to",
StreamID: "stream_id",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", ffprobes.Data)
}
curl --request GET \
--url https://api.gcore.com/streaming/statistics/ffprobe \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/streaming/statistics/ffprobe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/streaming/statistics/ffprobe",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/streaming/statistics/ffprobe")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/streaming/statistics/ffprobe")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"time": "2006-01-02 15:04:05",
"avg_bitrate": 3500.5,
"sum_frames": 500,
"max_height": 1080,
"max_fps": 25,
"max_keyframe_interval": 1
}
]
}Statistics
Get stream ffprobe
Aggregates data for the specified video stream in the specified time interval. “interval” and “units” params working together to point aggregation interval.
You can use this method to watch when stream was alive in time, and when it was off.
GET
/
streaming
/
statistics
/
ffprobe
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
ffprobes = client.streaming.statistics.get_ffprobes(
date_from="date_from",
date_to="date_to",
stream_id="stream_id",
)
print(ffprobes.data)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/streaming"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
ffprobes, err := client.Streaming.Statistics.GetFfprobes(context.TODO(), streaming.StatisticGetFfprobesParams{
DateFrom: "date_from",
DateTo: "date_to",
StreamID: "stream_id",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", ffprobes.Data)
}
curl --request GET \
--url https://api.gcore.com/streaming/statistics/ffprobe \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/streaming/statistics/ffprobe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/streaming/statistics/ffprobe",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/streaming/statistics/ffprobe")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/streaming/statistics/ffprobe")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"time": "2006-01-02 15:04:05",
"avg_bitrate": 3500.5,
"sum_frames": 500,
"max_height": 1080,
"max_fps": 25,
"max_keyframe_interval": 1
}
]
}Authorizations
Query Parameters
Was this page helpful?